<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
DataType
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.array.parse.DataType class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DataType";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DataType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DefaultMatrixData.html" title="class in ch.javasoft.math.array.parse"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/parse/DataType.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataType.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.array.parse</FONT>
<BR>
Enum DataType</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">java.lang.Enum</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&gt;
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.array.parse.DataType</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public enum <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.48"><B>DataType</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&gt;</DL>
</PRE>

<P>
The <code>DataType</code> defines the number type used to describe a 
 polytope. It is generally <A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A>, but might also be 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>, or if small enough also <code>long</code> or <code>int</code>.
<P>

<P>
<HR>

<P>
<!-- =========== ENUM CONSTANT SUMMARY =========== -->

<A NAME="enum_constant_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Enum Constant Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#BigInt">BigInt</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates that integers are sufficient to describe the polytope, but they
 are too large to be stored as <code>long</code> or <code>int</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Fractional">Fractional</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates that fraction numbers are necessary to describe the polytope</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Int">Int</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates that integers are sufficient to describe the polytope, and they
 are short enough to be stored as <code>int</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Long">Long</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates that integers are sufficient to describe the polytope, but they
 are too large to be stored as <code>int</code>.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#asLooserVector(ch.javasoft.math.array.parse.DataType, java.lang.Object)">asLooserVector</A></B>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&nbsp;desired,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#asVector(ch.javasoft.math.BigFraction[])">asVector</A></B>(<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;A&gt; A[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#castMatrix(java.lang.Class, java.lang.Object[])">castMatrix</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;A&gt;&nbsp;arrayClass,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;A&gt; A</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#castVector(java.lang.Class, java.lang.Object)">castVector</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;A&gt;&nbsp;arrayClass,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getLoosestType()">getLoosestType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the loosest <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Fractional"><CODE>Fractional</CODE></A> type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getLoosestType(ch.javasoft.math.array.parse.DataType...)">getLoosestType</A></B>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>...&nbsp;types)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the loosest type of the given types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getMatrixValue(java.lang.Object[], int, int)">getMatrixValue</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;matrix,
                             int&nbsp;row,
                             int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getTightestFit(ch.javasoft.math.BigFraction)">getTightestFit</A></B>(<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getTightestType()">getTightestType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the tightest <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Int"><CODE>Int</CODE></A> type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getVectorClass()">getVectorClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getVectorLength(java.lang.Object)">getVectorLength</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#isTighterThan(ch.javasoft.math.array.parse.DataType)">isTighterThan</A></B>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&nbsp;other)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#toMatrix(java.util.List)">toMatrix</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&gt;&nbsp;data)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the enum constant of this type with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing the constants of this enum type, in
the order they're declared.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Enum"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#compareTo(E)" title="class or interface in java.lang">compareTo</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#getDeclaringClass()" title="class or interface in java.lang">getDeclaringClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#name()" title="class or interface in java.lang">name</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#ordinal()" title="class or interface in java.lang">ordinal</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#valueOf(java.lang.Class, java.lang.String)" title="class or interface in java.lang">valueOf</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ ENUM CONSTANT DETAIL =========== -->

<A NAME="enum_constant_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Enum Constant Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Fractional"><!-- --></A><H3>
Fractional</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.52"><B>Fractional</B></A></PRE>
<DL>
<DD>Indicates that fraction numbers are necessary to describe the polytope
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="BigInt"><!-- --></A><H3>
BigInt</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.76"><B>BigInt</B></A></PRE>
<DL>
<DD>Indicates that integers are sufficient to describe the polytope, but they
 are too large to be stored as <code>long</code> or <code>int</code>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="Long"><!-- --></A><H3>
Long</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.112"><B>Long</B></A></PRE>
<DL>
<DD>Indicates that integers are sufficient to describe the polytope, but they
 are too large to be stored as <code>int</code>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="Int"><!-- --></A><H3>
Int</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.159"><B>Int</B></A></PRE>
<DL>
<DD>Indicates that integers are sufficient to describe the polytope, and they
 are short enough to be stored as <code>int</code>.
<P>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>[] <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.48"><B>values</B></A>()</PRE>
<DL>
<DD>Returns an array containing the constants of this enum type, in
the order they're declared.  This method may be used to iterate
over the constants as follows:
<pre>
for(DataType c : DataType.values())
        System.out.println(c);
</pre>
<P>
<DD><DL>

<DT><B>Returns:</B><DD>an array containing the constants of this enum type, in
the order they're declared</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.48"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD>Returns the enum constant of this type with the specified name.
The string must match <I>exactly</I> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the name of the enum constant to be returned.
<DT><B>Returns:</B><DD>the enum constant with the specified name
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if this enum type has no constant
with the specified name</DL>
</DD>
</DL>
<HR>

<A NAME="getVectorClass()"><!-- --></A><H3>
getVectorClass</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.214"><B>getVectorClass</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="asVector(ch.javasoft.math.BigFraction[])"><!-- --></A><H3>
asVector</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.217"><B>asVector</B></A>(<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&nbsp;vector)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTightestFit(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
getTightestFit</H3>
<PRE>
public static <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.218"><B>getTightestFit</B></A>(<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTightestType()"><!-- --></A><H3>
getTightestType</H3>
<PRE>
public static <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.234"><B>getTightestType</B></A>()</PRE>
<DL>
<DD>Returns the tightest <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Int"><CODE>Int</CODE></A> type
<P>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#isTighterThan(ch.javasoft.math.array.parse.DataType)"><CODE>isTighterThan(DataType)</CODE></A>, 
<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getLoosestType()"><CODE>getLoosestType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getLoosestType()"><!-- --></A><H3>
getLoosestType</H3>
<PRE>
public static <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.243"><B>getLoosestType</B></A>()</PRE>
<DL>
<DD>Returns the loosest <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#Fractional"><CODE>Fractional</CODE></A> type
<P>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#isTighterThan(ch.javasoft.math.array.parse.DataType)"><CODE>isTighterThan(DataType)</CODE></A>, 
<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getTightestType()"><CODE>getTightestType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getLoosestType(ch.javasoft.math.array.parse.DataType...)"><!-- --></A><H3>
getLoosestType</H3>
<PRE>
public static <A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.253"><B>getLoosestType</B></A>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>...&nbsp;types)</PRE>
<DL>
<DD>Returns the loosest type of the given types.
<P>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#isTighterThan(ch.javasoft.math.array.parse.DataType)"><CODE>isTighterThan(DataType)</CODE></A>, 
<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getLoosestType()"><CODE>getLoosestType()</CODE></A>, 
<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html#getTightestType()"><CODE>getTightestType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isTighterThan(ch.javasoft.math.array.parse.DataType)"><!-- --></A><H3>
isTighterThan</H3>
<PRE>
public boolean <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.260"><B>isTighterThan</B></A>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&nbsp;other)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getVectorLength(java.lang.Object)"><!-- --></A><H3>
getVectorLength</H3>
<PRE>
public abstract int <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.263"><B>getVectorLength</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)
                             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getMatrixValue(java.lang.Object[], int, int)"><!-- --></A><H3>
getMatrixValue</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.264"><B>getMatrixValue</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;matrix,
                                      int&nbsp;row,
                                      int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="asLooserVector(ch.javasoft.math.array.parse.DataType, java.lang.Object)"><!-- --></A><H3>
asLooserVector</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.265"><B>asLooserVector</B></A>(<A HREF="../../../../../ch/javasoft/math/array/parse/DataType.html" title="enum in ch.javasoft.math.array.parse">DataType</A>&nbsp;desired,
                                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)
                               throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toMatrix(java.util.List)"><!-- --></A><H3>
toMatrix</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.266"><B>toMatrix</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&gt;&nbsp;data)
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArrayStoreException.html" title="class or interface in java.lang">ArrayStoreException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArrayStoreException.html" title="class or interface in java.lang">ArrayStoreException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="castVector(java.lang.Class, java.lang.Object)"><!-- --></A><H3>
castVector</H3>
<PRE>
public static &lt;A&gt; A <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.276"><B>castVector</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;A&gt;&nbsp;arrayClass,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;vector)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="castMatrix(java.lang.Class, java.lang.Object[])"><!-- --></A><H3>
castMatrix</H3>
<PRE>
public static &lt;A&gt; A[] <A HREF="../../../../../src-html/ch/javasoft/math/array/parse/DataType.html#line.283"><B>castMatrix</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;A&gt;&nbsp;arrayClass,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;matrix)
                      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DataType.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/parse/DefaultMatrixData.html" title="class in ch.javasoft.math.array.parse"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/parse/DataType.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataType.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
